### Method

# Gtk Entry set_completion

deprecated: 4.10

#### Declaration [src]

    void
    gtk_entry_set_completion (
      GtkEntry* entry,
      GtkEntryCompletion* completion
    )

#### Description [src]

Sets `completion` to be the auxiliary completion object to use with `entry`.

All further configuration of the completion mechanism is done on `completion` using the `GtkEntryCompletion` API. Completion is disabled if `completion` is set to `NULL`.

Deprecated since: 4.10

GtkEntryCompletion will be removed in GTK 5.

Sets property | `Gtk.Entry:completion`

#### Parameters

`completion`

  Type: `GtkEntryCompletion`

  The `GtkEntryCompletion`

  The argument can be `NULL`.
  The data is owned by the caller of the method.